Pistis
API referenceSharing

Make a read-only link

POST
/sessions/{id}/links

Anyone with the URL can watch the session without signing in until it expires. The URL is shown only this once.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Request Body

application/json
  1. body
expiresInSeconds?integer

Default 7 days, at most 30

Range1 <= value

Response Body

The link

application/json
  1. response
linkId*string
role*unknown
expiresAt*integer

Expires (milliseconds since the epoch)

url*string
Example Request
curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/links' \  -H 'Content-Type: application/json' \  -d '{  "expiresInSeconds": 86400}'
Example Response
{  "linkId": "string",  "role": "viewer",  "expiresAt": 0,  "url": "string"}